package com.sun.xml.internal.ws.dump;

import javax.xml.ws.spi.WebServiceFeatureAnnotation;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
@WebServiceFeatureAnnotation(id = "com.sun.xml.internal.ws.messagedump.MessageDumpingFeature", bean = MessageDumpingFeature.class)
public @interface MessageDumping {
    public abstract boolean enabled() default true;
    
    public abstract String messageLoggingRoot() default "com.sun.xml.internal.ws.messagedump";
    
    public abstract String messageLoggingLevel() default "FINE";
    
    public abstract boolean storeMessages() default false;
}
